#
# This file is automatically generated by the Extrae instrumentation Makefile.
# Edit with caution
#

if test "${EXTRAE_HOME}" != "" ; then

	# Read configuration variables if available!
	if ! test -f ${EXTRAE_HOME}/etc/extrae-vars.sh ; then
		echo "Error! Unable to locate ${EXTRAE_HOME}/etc/extrae-vars.sh"
		echo "Dying..."
		break
	else
		source ${EXTRAE_HOME}/etc/extrae-vars.sh
	fi

	export LD_LIBRARY_PATH=${EXTRAE_HOME}/lib:${LD_LIBRARY_PATH}

	if test "${MPI_HOME}" != "" ; then
		if ! test -d ${MPI_HOME}/lib ; then
			echo "Unable to find libmpi library directory!"
		else
			export LD_LIBRARY_PATH=${MPI_HOME}/lib:${LD_LIBRARY_PATH}
		fi
	fi

	if test "${PACX_HOME}" != "" ; then
		if ! test -d ${PACX_HOME}/lib ; then
			echo "Unable to find libpacx library directory!"
		else
			export LD_LIBRARY_PATH=${PACX_HOME}/lib:${LD_LIBRARY_PATH}
		fi
	fi

	if test "${LIBXML2_HOME}" != "" ; then
		if ! test -d ${LIBXML2_HOME}/lib ; then
			echo "Unable to find libxml2 library directory!"
		else
			export LD_LIBRARY_PATH=${LIBXML2_HOME}/lib:${LD_LIBRARY_PATH}
		fi
	fi

	if test "${PAPI_HOME}" != "" ; then
		if ! test -d ${PAPI_HOME}/lib ; then
			echo "Unable to find PAPI library directory!"
		else
			export LD_LIBRARY_PATH=${PAPI_HOME}/lib:${LD_LIBRARY_PATH}
		fi
	fi

	if test "${UNWIND_HOME}" != "" ; then
		if ! test -d ${UNWIND_HOME}/lib ; then
			echo "Unable to find UNWIND library directory!"
		else
			export LD_LIBRARY_PATH=${UNWIND_HOME}/lib:${LD_LIBRARY_PATH}
		fi
	fi

	if test "${LIBERTY_HOME}" != "" ; then
		if ! test -d ${LIBERTY_HOME}/lib ; then
			echo "Unable to find LIBERTY library directory!"
		else
			export LD_LIBRARY_PATH=${LIBERTY_HOME}/lib:${LD_LIBRARY_PATH}
		fi
	fi

	if test "${BFD_HOME}" != "" ; then
		if ! test -d ${BFD_HOME}/lib ; then
			echo "Unable to find BFD library directory!"
		else
			export LD_LIBRARY_PATH=${BFD_HOME}/lib:${LD_LIBRARY_PATH}
		fi
	fi

	if test "${DYNINST_HOME}" != "" ; then
		if test "${DWARF_HOME}" == "" ; then
			echo "DynInst was enabled with the instrumentation package, but DWARF package was not set? Exitting!"
		else
			if ! test -d ${DYNINST_HOME}/lib ; then
				echo "Unable to find DynInst library directory!"
			else
				if ! test -f ${DYNINST_HOME}/lib/libdyninstAPI_RT.so ; then
					echo "Unable to find libdyninstAPI_RT.so in the Dyninst library directory!"
				else
					export LD_LIBRARY_PATH=${DYNINST_HOME}/lib:${DWARF_HOME}/lib:${ELF_HOME}/lib:${LD_LIBRARY_PATH}
					export DYNINSTAPI_RT_LIB=${DYNINST_HOME}/lib/libdyninstAPI_RT.so
				fi
			fi
		fi
	fi

else
	echo "You have to define EXTRAE_HOME to run this script"
fi

